%define upstream_name    Term-VT102
%define upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Term::VT102 - a class to emulate a DEC VT102 terminal
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
The VT102 class provides emulation of most of the functions of a
DEC VT102 terminal. Once initialised, data passed to a VT102
object is processed and the in-memory screen modified accordingly.
This screen can be interrogated by the external program in a
variety of ways.

This allows your program to interface with full-screen console
programs by running them in a subprocess and passing their output
to a VT102 class. You can then see what the application has
written on the screen by querying the class appropriately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%dir %{perl_vendorlib}/Term/VT102
%dir %{perl_vendorlib}/Term/VT102/examples
%{perl_vendorlib}/Term/VT102.pm
%{perl_vendorlib}/Term/VT102/examples/*
%{_mandir}/*/*

%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.910.0-10.mga9
+ Revision: 1901196
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.910.0-9.mga8
+ Revision: 1497322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.910.0-8.mga7
+ Revision: 1271647
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.910.0-7.mga6
+ Revision: 1034047
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.910.0-6.mga6
+ Revision: 930099
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.910.0-5.mga5
+ Revision: 749497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.910.0-4.mga5
+ Revision: 686394
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.910.0-3.mga4
+ Revision: 515110
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.910.0-2.mga3
+ Revision: 373323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 27096
- mageia rebuild
- imported package perl-Term-VT102

